package com.ff.base.enums;

import lombok.Getter;

/**
 * 公告状态
 *
 * @author shi
 * @date 2024/11/22
 */
@Getter
public enum AnnouncementStatus {
    PENDING_REVIEW(0, "待审核"),
    PENDING_EFFECT(1, "待生效"),
    ACTIVE(2, "生效中"),
    EXPIRED(3, "已过期"),
    CANCELLED(4, "已取消");
    private final Integer code;
    private final String description;

    AnnouncementStatus(Integer code, String description) {
        this.code = code;
        this.description = description;
    }
}